Skills
Author skills and assign them to bots. 11 endpoints
GET /skills
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/skills' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots/{botId}/skills/new
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
name | string | yes | length 1–80 |
description | string | length 0–500 | |
instructions | string | yes | length 1–20000 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/skills/new' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"name":"string","instructions":"string"}'POST /skills/{skillId}/revise
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
name | string | length 1–80 | |
description | string | length 0–500 | |
instructions | string | yes | length 1–20000 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/skills/:skillId/revise' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"instructions":"string"}'PATCH /skills/{skillId}/sharing
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
shared | boolean | yes |
Example
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/skills/:skillId/sharing' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"shared":true}'GET /skills/{skillId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/skills/:skillId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /skills/{skillId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
status | "published" | "disabled" | yes |
Example
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/skills/:skillId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"status":"published"}'POST /skills/{skillId}/versions
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
version | string | yes | pattern ^\d+\.\d+\.\d+(-[0-9A-Za-z.-]+)?$ |
instructions | string | yes | length 1–20000 |
inputSchema | record<string, any> | ||
outputSchema | record<string, any> | ||
requiredCapabilities | string[] | yes | max 20 items · default [] |
compatibility | string | length 0–50 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/skills/:skillId/versions' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"version":"string","instructions":"string","requiredCapabilities":[]}'POST /skills/{skillId}/versions/{versionId}/publish
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
skillId (path) | string | yes | |
versionId (path) | string | yes |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/skills/:skillId/versions/:versionId/publish' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}/skills
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/skills' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots/{botId}/skills
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
skillVersionId | string | yes | length 1–∞ |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/skills' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"skillVersionId":"string"}'DELETE /bots/{botId}/skills/{assignmentId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes | |
assignmentId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId/skills/:assignmentId' \
-H "Authorization: Bearer $LEX_TOKEN"